package com.ruoyi.project.aspen.service.impl;

import java.util.List;

import com.ruoyi.project.aspen.domain.TDashboarddayelec;
import com.ruoyi.project.aspen.mapper.TDashboarddayelecMapper;
import com.ruoyi.project.aspen.service.ITDashboarddayelecService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


/**
 * 电厂大屏每日0：00抓取数据Service业务层处理
 *
 * @author ruoyi
 * @date 2022-03-12
 */
@Service
public class TDashboarddayelecServiceImpl implements ITDashboarddayelecService {
    @Resource
    private TDashboarddayelecMapper tDashboarddayelecMapper;

    /**
     * 查询电厂大屏每日0：00抓取数据
     *
     * @param id 电厂大屏每日0：00抓取数据ID
     * @return 电厂大屏每日0：00抓取数据
     */
    @Override
    public TDashboarddayelec selectTDashboarddayelecById(Long id) {
        return tDashboarddayelecMapper.selectTDashboarddayelecById(id);
    }

    /**
     * 查询电厂大屏每日0：00抓取数据列表
     *
     * @param tDashboarddayelec 电厂大屏每日0：00抓取数据
     * @return 电厂大屏每日0：00抓取数据
     */
    @Override
    public List<TDashboarddayelec> selectTDashboarddayelecList(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.selectTDashboarddayelecList(tDashboarddayelec);
    }

    /**
     * 新增电厂大屏每日0：00抓取数据
     *
     * @param tDashboarddayelec 电厂大屏每日0：00抓取数据
     * @return 结果
     */
    @Override
    public int insertTDashboarddayelec(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.insertTDashboarddayelec(tDashboarddayelec);
    }

    /**
     * 修改电厂大屏每日0：00抓取数据
     *
     * @param tDashboarddayelec 电厂大屏每日0：00抓取数据
     * @return 结果
     */
    @Override
    public int updateTDashboarddayelec(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.updateTDashboarddayelec(tDashboarddayelec);
    }

    /**
     * 批量删除电厂大屏每日0：00抓取数据
     *
     * @param ids 需要删除的电厂大屏每日0：00抓取数据ID
     * @return 结果
     */
    @Override
    public int deleteTDashboarddayelecByIds(Long[] ids) {
        return tDashboarddayelecMapper.deleteTDashboarddayelecByIds(ids);
    }

    /**
     * 删除电厂大屏每日0：00抓取数据信息
     *
     * @param id 电厂大屏每日0：00抓取数据ID
     * @return 结果
     */
    @Override
    public int deleteTDashboarddayelecById(Long id) {
        return tDashboarddayelecMapper.deleteTDashboarddayelecById(id);
    }

    @Override
    public TDashboarddayelec selectLast(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.selectLast(tDashboarddayelec);
    }

    @Override
    public List<TDashboarddayelec> selectMonth(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.selectMonth(tDashboarddayelec);
    }

    @Override
    public List<TDashboarddayelec> selectWeek(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.selectWeek(tDashboarddayelec);
    }

    @Override
    public List<TDashboarddayelec> selecctfiftyday(TDashboarddayelec tDashboarddayelec) {
        return tDashboarddayelecMapper.selecctfiftyday(tDashboarddayelec);
    }


}
